<div class="example-form">
  <h1 mat-dialog-title>Edit user</h1>
  <div mat-dialog-content>
    <table class="example-full-width" cellspacing="0">
      <tr>
        <td>
          <mat-form-field class="example-full-width">
            <mat-label>Username</mat-label>
            <input matInput disabled value="{{editUser.username}}">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field class="example-full-width">
            <mat-label>Birthday</mat-label>
            <input matInput [matDatepicker]="picker" [formControl]="userBirthday">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
          </mat-form-field>
        </td>
      </tr>
      <tr>
        <td>
          <mat-form-field class="example-full-width">
            <mat-label>First name</mat-label>
            <input matInput [(ngModel)]="editUser.firstName">
          </mat-form-field>
        </td>
        <td>
          <mat-form-field class="example-full-width">
            <mat-label>Last Name</mat-label>
            <input matInput [(ngModel)]="editUser.lastName">
          </mat-form-field>
        </td>
      </tr>
    </table>
    <p>
      <mat-form-field class="example-full-width">
        <mat-label>Description</mat-label>
        <textarea matInput [(ngModel)]="editUser.desc"></textarea>
      </mat-form-field>
    </p>
  </div>
  <div mat-dialog-actions>
    <button mat-raised-button color="warn" (click)="onNoClick()">Discard</button>
    <button mat-raised-button color="primary" [mat-dialog-close]="editUser" (click)="save()"
      cdkFocusInitial>Save</button>
  </div>
</div>